Bug 34719 - Middle name doesn't show on autocomplete
Summary: Middle name doesn't show on autocomplete
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-09-05 15:35 UTC by Lisette Scheer
Modified: 2023-09-18 09:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.04


Attachments
Bug 34719: Add middle_name to patron autocomplete (1.36 KB, patch)
2023-09-07 21:22 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 34719: Add middle_name to patron autocomplete (1.44 KB, patch)
2023-09-08 10:15 UTC, Matt Blenkinsop
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2023-09-05 15:35:27 UTC
The middle name would be very helpful for some libraries when using the autocomplete search. 

If there are a lot of similar patrons it's helpful for differentiating.
Comment 1 Erin A. 2023-09-05 18:27:10 UTC
Our circulation staff noted that middle names and initials did not appear in the search autocomplete when searching for patrons. 

It would be useful to see middle names when scanning for duplicate accounts or patrons with common first and last names.
Comment 2 Lucas Gass 2023-09-07 21:22:16 UTC
Created attachment 155344 [details] [review]
Bug 34719: Add middle_name to patron autocomplete

To test:
1. Apply patch and clear browser cache.
2. Find some patrons with middle_name populated or add new patrons with a middle_name.
3. Make sure PatronAutoComplete is on
4. Try searching for a part of one of the patron's names who has a middle_name.
5. It should appear in the autocomplete dropdown
Comment 3 Matt Blenkinsop 2023-09-08 10:15:51 UTC
Created attachment 155392 [details] [review]
Bug 34719: Add middle_name to patron autocomplete

To test:
1. Apply patch and clear browser cache.
2. Find some patrons with middle_name populated or add new patrons with a middle_name.
3. Make sure PatronAutoComplete is on
4. Try searching for a part of one of the patron's names who has a middle_name.
5. It should appear in the autocomplete dropdown

Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>
Comment 4 Erin A. 2023-09-08 12:59:21 UTC
(In reply to Lucas Gass from comment #2)
> Created attachment 155344 [details] [review] [review]
> Bug 34719: Add middle_name to patron autocomplete
> 
> To test:
> 1. Apply patch and clear browser cache.
> 2. Find some patrons with middle_name populated or add new patrons with a
> middle_name.
> 3. Make sure PatronAutoComplete is on
> 4. Try searching for a part of one of the patron's names who has a
> middle_name.
> 5. It should appear in the autocomplete dropdown

Hi Lucas,

Do I submit a ticket for Bywater to apply the patch or is this something I do? Thanks! New to this.

Erin
Comment 5 Emily Lamancusa 2023-09-15 15:21:12 UTC
Simple change, nice addition, QA tool happy. Passing QA
Comment 6 Tomás Cohen Arazi 2023-09-15 18:50:29 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 7 Katrin Fischer 2023-09-15 19:18:58 UTC
(In reply to Erin A. from comment #4)
> (In reply to Lucas Gass from comment #2)
> > Created attachment 155344 [details] [review] [review] [review]
> > Bug 34719: Add middle_name to patron autocomplete
> > 
> > To test:
> > 1. Apply patch and clear browser cache.
> > 2. Find some patrons with middle_name populated or add new patrons with a
> > middle_name.
> > 3. Make sure PatronAutoComplete is on
> > 4. Try searching for a part of one of the patron's names who has a
> > middle_name.
> > 5. It should appear in the autocomplete dropdown
> 
> Hi Lucas,
> 
> Do I submit a ticket for Bywater to apply the patch or is this something I
> do? Thanks! New to this.
> 
> Erin

Hi Erin, I suspect your question was missed here - maybe reach out to the Bywater support directly raising a ticket. If you don't have full access to your server, you won't be able to do this yourself. The bug fix will be backported to the stable releases, but and then be included in one of the upcoming bugfix releases.
Comment 8 Fridolin Somers 2023-09-18 09:15:15 UTC
Pushed to 23.05.x for 23.05.04